org.apache.poi.hwmf.record

## Class HwmfPalette.WmfSetPaletteEntries

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfPalette.WmfPaletteParent
  - - org.apache.poi.hwmf.record.HwmfPalette.WmfSetPaletteEntries

- All Implemented Interfaces:
    GenericRecord, HwmfObjectTableEntry, HwmfRecord
  Direct Known Subclasses:
    HemfPalette.EmfSetPaletteEntries
  Enclosing class:
    HwmfPalette

      public static class HwmfPalette.WmfSetPaletteEntries
      extends HwmfPalette.WmfPaletteParent

  The META_SETPALENTRIES record defines RGB color values in a range of entries in the logical palette that is defined in the playback device context.

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwmf.record.HwmfPalette.WmfPaletteParent

      `palette, start`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WmfSetPaletteEntries()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyObject(HwmfGraphics ctx)`
    `HwmfRecordType` | `getWmfRecordType()`

    - ### Methods inherited from class org.apache.poi.hwmf.record.HwmfPalette.WmfPaletteParent

      `draw, getGenericProperties, init, readPaletteEntries`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hwmf.record.HwmfRecord

      `getGenericRecordType`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

- - ### Constructor Detail

    - #### WmfSetPaletteEntries

          public WmfSetPaletteEntries()

  - ### Method Detail

    - #### getWmfRecordType

          public HwmfRecordType getWmfRecordType()

    - #### applyObject

          public void applyObject(HwmfGraphics ctx)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.